Asset (Beta)

Set tags

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Set a given list of tags as the new tag list of an asset.

Note: This API is subject to change until it reaches GA. Activation of the API is on a request basis until GA.

put
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/tags

Path Parameters

assetIdstringrequired

Body

application/json

SetTagsInput

tagsarray[string]

Response

application/json

SetVersionTagsReply

assetIdstring
versionIdstring
put/api/1/asset/assets/{assetId}/tags

Body

{}
 
application/json

General endpoints

Retrieve, validate, and manage existing assets and their versions.

Delete asset

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Delete an asset that is currently in draft. Due to the draft state, you cannot restore the asset from the trashcan.

delete
https://{your-bynder-domain}/api/1/asset/assets/{assetId}

Path Parameters

assetIdstringrequired

Response

application/json

TrashAssetReply

assetIdstring
delete/api/1/asset/assets/{assetId}
 
application/json

Get asset

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Retrieves the asset and all its details. This endpoint is currently only available for the creator of the asset to view the asset.

During any point of the upload process, the asset can be retrieved to see the active status and the state of the asset.

get
https://{your-bynder-domain}/api/1/asset/assets/{assetId}

Path Parameters

assetIdstringrequired

Response

application/json

Asset

activeVersionobject
Show Child Parameters
advancedRightsobject
Show Child Parameters
assetIdstring
assetStatusstring
copyrightstring
descriptionstring
embargosarray[object]
Show Child Parameters
moduleCodestring

Allowed values:BGBSIBWF

namestring
originstring
portalIdstring
timeStampCreatedstring(date-time)
timeStampModifiedstring(date-time)
timeStampPublishedstring(date-time)
userCreatedIdstring
userModifiedIdstring
get/api/1/asset/assets/{assetId}
 
application/json

Get the active asset version thumbnails

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Retrieve the thumbnails of the active version of an asset. The response includes the signed url for directly using the thumbnails.

get
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/thumbnails

Path Parameters

assetIdstringrequired

Response

application/json

GetVersionThumbnailsReply

assetIdstring
thumbnailsarray[object]
Show Child Parameters
versionIdstring
get/api/1/asset/assets/{assetId}/thumbnails
 
application/json